Skip to Content
Documentation
API Documentation
Our API documentation and how to authorize towards Mammotion Open APIs.
API illustration

Start a Task

When you want set the mower to mow a specific area, you need to add a area from Mammotion app and create a task, select the area, and set some params…, then you can invoke this API to start working.


screenshot-1

screenshot-2

curl --location --request POST 'https://api-open.mammotion.com/v1/mower/action' \ --header 'Authorization: Bearer ${access_token}' \ --header 'Content-Type: application/json' \ --data '{"deviceId": "<your deviceId>","action": "START","params": { "taskName": <your task name> }}'

Example response:

{ "code": 0, "msg": "Request success" }

For details on other task instructions, please refer to the API documentation.

Last updated on
Logo
Mammotion Developer
2026 @MAMMOTION Technology